:root {
  --main-color: #5c24ad;
  --bg-color: #d5cdef;
  --text-color: #2d3958;

  --color-1: #9285d7;
  --link-color: #482a66;
  --color-3: #b58bd7;
}

body {
  font-size: calc(1rem + 0.25vw);
  font-family: "Source Sans Pro", sans-serif;
  color: var(--text-color);
}

img {
  max-width: 100%;
  height: auto;
}

p {
  margin-bottom: 1.5rem;
}

svg {
  fill: var(--main-color);
  transform: scale(1.25);
  transition: all 0.3s;
}

.navbar {
  background-color: var(--bg-color);
}

.navbar-brand img {
  width: auto;
  height: 3rem;
}

.navbar-nav a {
  padding: 1rem;
  color: var(--main-color);
}

.navbar-nav a:hover {
  font-weight: bold;
  color: white;
  background-color: var(--main-color);
}

.navbar-nav a:hover svg {
  fill: white;
}

.accordion {
  --bs-accordion-active-color: var(--main-color);
  --bs-accordion-active-bg: var(--bg-color);
  --bs-accordion-btn-focus-border-color: #9285d7;
  --bs-accordion-btn-focus-box-shadow: 0 0 0 0.25rem rgba(181, 139, 215, 0.25);
  --bs-accordion-btn-active-icon: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='var%28--bs-body-color%29'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
}

.btn-primary {
  --bs-btn-color: #fff;
  --bs-btn-bg: var(--main-color);
  --bs-btn-border-color: var(--main-color);
  --bs-btn-hover-color: #fff;
  --bs-btn-hover-bg: rgba(92, 36, 173, 0.85);
  --bs-btn-hover-border-color: var(--bg-color);
  --bs-btn-active-color: #fff;
  --bs-btn-active-bg: var(--main-color);
  --bs-btn-focus-shadow-rgb: 181, 139, 215;
  --bs-btn-active-border-color: var(--main-color);
  --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
  --bs-btn-disabled-color: #fff;
  --bs-btn-disabled-bg: var(--main-color);
  --bs-btn-disabled-border-color: var(--main-color);
}

.card {
  --bs-card-border-color: var(--bg-color);
  --bs-card-color: var(--main-color);
}

.cursos a .card {
  transition: all 0.3s ease;
}

.cursos a:hover .card {
  opacity: 0.85;
  transform: scale(1.25);
}

.img-mati {
  max-width: 80%;
  display: block;
  margin: auto;
}

.bg-cover {
  background-image: var(--bg-url);
  background-repeat: no-repeat;
  background-size: cover;
}

.bg-cover div {
  background-color: rgba(181, 139, 215, 0.5);
}

@media (min-width: 992px) {
  .navbar-nav a {
    border-bottom: thin solid transparent;
    padding-top: 0;
    padding-bottom: 0;
  }

  .navbar-nav a:hover {
    border-bottom: thin solid var(--main-color);
    font-weight: normal;
    color: var(--main-color);
    background-color: transparent;
  }

  .navbar-nav a:hover svg {
    fill: var(--text-color);
  }

  .navbar-nav a.nav-icon:hover {
    border-bottom: thin solid transparent;
  }

  .nav-link {
    margin-left: 1rem;
    margin-right: 1rem;
  }
}
